Subject: Re: Debian on a Compaq Prosignia 4/66

From: [email-masked]
Date: Mon, 26 Aug 96 09:42:35 cet

Yes Dave, 
You can have Debian Linux on your compaq. This is from a previous posting I 
sent to this list:
>I find this LOADLIN scheme a very flexible one. I find the related DOS 
> applications rdev, pfdisk and ext2tools good companions to this DOS 
> booting scheme. A DOS readln or readkey utility (or BE ASK in NORTON 
>UTIL) 
> is also handy for creating extremely configurable DOS bat files to manage 
> the most complex scenarios you can imagine.
> Misc: This is the only method I found to boot linux on Compaq with PCI on 
> board as linux need to relocates the PCI services through a DOS driver 
> provided by COMPAQ. Syslinux or LILO cannot make linux see the PCI chips 
> (Linus Torvald said). 
> 
> Disclaimer: LILO is very good,... this is just an alternative. 
>
> Lazaro 
> <[email-masked]>

This is what you have to try:

1) Get the Software package sp116.zip provided by Compaq (at www.compaq.org?). 
   Run sp116.exe contained in it to extract MOVEPCI.SYS and MOVEPCI.DOC. 
   Read that documentation. If it suits your machine (it works for my Deskpro
   590 and reported to work with Deskpro XL both compaq boxes with PCI on board)
   keep reading. Otherwise get more info from COMPAQ and come back later to
   point 3.
2) Now that the driver lets linux recognize the PCI on board, you need to
   replace the SYSLINUX method of for booting. A good alternative is the DOS 
   executable LOADLIN. Once you get it:  
   Make a DOS boot floppy with DEVICE=MOVEPCI.SYS as  the first line in
   CONFIG.SYS. Then you can load Linux with loadlin from DOS from config itself 
   with a SHELL=LOADLIN ...... or from AUTOEXEC.BAT Or from the DOS command
   line. 
   If everything went smooth to this point, you shall see that Linux detects
   the PCI chips on board during bootup.

You may also want to make a customized Debian-type boot disk by: 
a)copying everything except syslinux in the Debian standard 1996-07-14 boot disk
(you don't need a special kernel) onto a _DOS_bootable_ disk; b)preppending 
DEVICE=MOVEPCI.SYS to the config.sys; and c) copying the LOADLIN stuff. I find 
adding some menuing DOS utilities and a small editor very handy to fix things on
the road in case I need it.

And that's all! just a pity XFree86 doesn't support the Compaq graphic cards. 
But you can try (10'minutes working demo) the X server from ftp.xinside.com to 
test X applications on the Debian linux box. Just keep track of the files  
installed as I had some problems with the scripts provided. 

If you get stucked or find this guide too brief to make ANY sense out of it :-) 
just write me privately for more details (I have written something about 
this.... where is it?) 

Also, have a look at  a related WEB page:
<a href="http://www-c724.uibk.ac.at/liedl.html">Klaus Liedl</a>,<a 
href="mailto:[email-masked]"> [email-masked]</a></i></h4>
<i>Page last modified: Mon Oct  9 10:41:10 MET 1995</i><p>

This kind soul used to mantain a page related to the deskpro XL. I find the info
very useful from fixing Linux on my Deskpro 590 with a PCI Net card on board.
cheers, 
lazaro <[email-masked]>

______________________________ Reply Separator _________________________________
Subject: Debian on a Compaq Prosignia 4/66
Author:  [email-masked] at cclink
Date:    23.08.96 21:55

We were just given a Compaq Prosignia 4/66 with 40 MB RAM and a 1.05 GB
SCSI drive to user as a DB Server.  Our preference is to run it under
Linux.  However, it has a built-in SCSI controller.  So far we have
tried
Debian 1.1, 1.1.6, and all of the Debial 2.0.5 alternate boot disks with
no luck in detecting and working with the SCSI controller...

DOS does work on the system as did Novell 3.12.  The system arrived
without
documentation.  So far the email to Compaq asking for the SCSI
controller
equivalent has not been answered.

Any suggestions?  

TIA,

Dave